ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Functions
LibItsIvim__EncdecDeclarations Namespace Reference

## Functions
BITSTRING | fx__enc__IvimReq (const LibItsIvim__TestSystem::IvimReq &p_ivimReq)
INTEGER | fx__dec__IvimReq (BITSTRING &b, LibItsIvim__TestSystem::IvimReq &p)
INTEGER | fx__dec__IvimInd (BITSTRING &b, LibItsIvim__TestSystem::IvimInd &p_ivimInd)
BITSTRING | fx__enc__IVIM (const IVIM__PDU__Descriptions::IVIM &p_ivim)
INTEGER | fx__dec__IVIM (BITSTRING &b, IVIM__PDU__Descriptions::IVIM &p)
BITSTRING | fx__enc__UtIvimInitialize (const LibItsIvim__TypesAndValues::UtIvimInitialize &p_utIvimInitialize)
BITSTRING | fx__enc__UtIvimTrigger (const LibItsIvim__TypesAndValues::UtIvimTrigger &p_utIvimTrigger)
BITSTRING | fx__enc__UtIvimUpdate (const LibItsIvim__TypesAndValues::UtIvimUpdate &p_utIvimUpdate)
BITSTRING | fx__enc__UtIvimTermination (const LibItsIvim__TypesAndValues::UtIvimTermination &p_utIvimTermination)
INTEGER | fx__dec__UtIvimResults (BITSTRING &b, LibItsIvim__TypesAndValues::UtIvimResults &p)
INTEGER | fx__dec__UtIvimEventInd (BITSTRING &b, LibItsIvim__TypesAndValues::UtIvimEventInd &p)

## Function Documentation

## ◆ fx__dec__IVIM()

INTEGER LibItsIvim__EncdecDeclarations::fx__dec__IVIM | ( | BITSTRING & | b,
|  | IVIM__PDU__Descriptions::IVIM & | p
| ) |  |

## ◆ fx__dec__IvimInd()

INTEGER LibItsIvim__EncdecDeclarations::fx__dec__IvimInd | ( | BITSTRING & | b,
|  | LibItsIvim__TestSystem::IvimInd & | p_ivimInd
| ) |  |

## ◆ fx__dec__IvimReq()

INTEGER LibItsIvim__EncdecDeclarations::fx__dec__IvimReq | ( | BITSTRING & | b,
|  | LibItsIvim__TestSystem::IvimReq & | p
| ) |  |

## ◆ fx__dec__UtIvimEventInd()

INTEGER LibItsIvim__EncdecDeclarations::fx__dec__UtIvimEventInd | ( | BITSTRING & | b,
|  | LibItsIvim__TypesAndValues::UtIvimEventInd & | p
| ) |  |

## ◆ fx__dec__UtIvimResults()

INTEGER LibItsIvim__EncdecDeclarations::fx__dec__UtIvimResults | ( | BITSTRING & | b,
|  | LibItsIvim__TypesAndValues::UtIvimResults & | p
| ) |  |

## ◆ fx__enc__IVIM()

BITSTRING LibItsIvim__EncdecDeclarations::fx__enc__IVIM | ( | const IVIM__PDU__Descriptions::IVIM & | p_ivim | ) |

## ◆ fx__enc__IvimReq()

BITSTRING LibItsIvim__EncdecDeclarations::fx__enc__IvimReq | ( | const LibItsIvim__TestSystem::IvimReq & | p_ivimReq | ) |

## ◆ fx__enc__UtIvimInitialize()

BITSTRING LibItsIvim__EncdecDeclarations::fx__enc__UtIvimInitialize | ( | const LibItsIvim__TypesAndValues::UtIvimInitialize & | p_utIvimInitialize | ) |

## ◆ fx__enc__UtIvimTermination()

BITSTRING LibItsIvim__EncdecDeclarations::fx__enc__UtIvimTermination | ( | const LibItsIvim__TypesAndValues::UtIvimTermination & | p_utIvimTermination | ) |

## ◆ fx__enc__UtIvimTrigger()

BITSTRING LibItsIvim__EncdecDeclarations::fx__enc__UtIvimTrigger | ( | const LibItsIvim__TypesAndValues::UtIvimTrigger & | p_utIvimTrigger | ) |

## ◆ fx__enc__UtIvimUpdate()

BITSTRING LibItsIvim__EncdecDeclarations::fx__enc__UtIvimUpdate | ( | const LibItsIvim__TypesAndValues::UtIvimUpdate & | p_utIvimUpdate | ) |